---
- name: Ensure that the role declares all parameters in defaults
  hosts: all
  tasks:
    - name: Run test
      block:
        - name: Run role
          include_role:
            name: linux-system-roles.nbde_server
            public: true
        - name: Assert that the role declares all parameters in defaults
          assert:
            that: "{{ item }} is defined"
          loop:
            - nbde_server_provider
            - nbde_server_deploy_keys
            - nbde_server_fetch_keys
            - nbde_server_rotate_keys
            - nbde_server_keys_dir
          when: ansible_version.full is version_compare('2.9', '>=')
      always:
        - name: Cleanup
          tags: tests::cleanup
          include_tasks: tasks/cleanup.yml

# vim:set ts=2 sw=2 et:
